## org.w3c.jigsaw.auth
Class RealmsCatalog

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.AbstractContainer
                              |
                              +--org.w3c.tools.resources.ContainerResource
                                    |
                                    +--org.w3c.tools.resources.ExternalContainer
                                          |
                                          +--org.w3c.jigsaw.auth.RealmsCatalog

public class RealmsCatalog
extends ExternalContainer

Field Summary
`protected java.lang.String` | `rep`

Fields inherited from class org.w3c.tools.resources.ExternalContainer
`repository, transientFlag`

Fields inherited from class org.w3c.tools.resources.ContainerResource
`acquired, ATTR_KEY`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`RealmsCatalog(ResourceContext context)`
`RealmsCatalog(ResourceContext context, java.lang.String rep)`

Method Summary
`java.util.Enumeration` | `enumerateRealmNames()` Enumerate the list of available realms.
`java.io.File` | `getRepository(ResourceContext context)`
`ResourceReference` | `loadRealm(java.lang.String name)` Load the given realm and return the AuthRealm instance.
`void` | `registerRealm(AuthRealm realm)` register the given new realm.
`void` | `registerRealm(java.lang.String name)`
`void` | `registerResource(java.lang.String name, Resource resource, java.util.Hashtable defs)`
`void` | `save()` Save the catalog back to disk.
`void` | `unregisterRealm(java.lang.String name)` Unregister the given realm from the catalog.

Methods inherited from class org.w3c.tools.resources.ExternalContainer
`acquireChildren, createDefaultResource, delete, initialize, markModified`

Methods inherited from class org.w3c.tools.resources.ContainerResource
`addResource, delete, deleteChildren, enumerateResourceIdentifiers, getChildrenSpaceEntry, getClone, getKey, getMatchingCharsCount, getSpaceEntry, internalLookup, lookup, lookup, notifyUnload, replace, resourceCreated, resourceModified, resourceRemoved, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.AbstractContainer
`attributeChanged, enumerateResourceIdentifiers, resourceUnloaded`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, disableEvent, displayEvent, enableEvent, eventDisabled, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameModified, frameRemoved, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, perform, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, processEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getStoreEntry, getURLPath, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rep

    protected java.lang.String rep

Constructor Detail

### RealmsCatalog

    public RealmsCatalog(ResourceContext context)

### RealmsCatalog

    public RealmsCatalog(ResourceContext context,
                         java.lang.String rep)

Method Detail

### loadRealm

    public ResourceReference loadRealm(java.lang.String name)

  Load the given realm and return the AuthRealm instance.
  Parameters:
    `name` - The realm identifier.

### enumerateRealmNames

    public java.util.Enumeration enumerateRealmNames()

  Enumerate the list of available realms.

### registerRealm

    public void registerRealm(AuthRealm realm)

  register the given new realm.
  Parameters:
    `realm` - The new realm to register.

### registerRealm

    public void registerRealm(java.lang.String name)

### registerResource

    public void registerResource(java.lang.String name,
                                 Resource resource,
                                 java.util.Hashtable defs)

  Overrides:
    registerResource in class ContainerResource

### unregisterRealm

    public void unregisterRealm(java.lang.String name)
                         throws MultipleLockException

  Unregister the given realm from the catalog.
  Parameters:
    `name` - The name of the catalog.
  Throws:
    MultipleLockException - if someone else has locked this realm.

### save

    public void save()

  Save the catalog back to disk.

### getRepository

    public java.io.File getRepository(ResourceContext context)

  Overrides:
    getRepository in class ExternalContainer